Page MenuHomeFreeBSD

security/py-{acme,certbot}: update to 0.13.0
ClosedPublic

Authored by cpm on Apr 8 2017, 11:02 AM.

Details

Summary
security/py-{acme,certbot}: update to 0.13.0

Common:

- Update PORTVERSION and distinfo checksum (0.13.0)

security/py-acme:

- Improve pkg-descr

security/py-certbot:

- Update pkg-descr and pkg-message to cope with the renaming to "certbot"

Changes:        https://github.com/certbot/certbot/blob/master/CHANGELOG.md#0130---2017-04-06

Approved by:	koobs (maintainer, py-certbot)
Diff Revision:	https://reviews.freebsd.org/D10317
Test Plan
  • portlint -ac output looks fine.
  • poudriere testport builds fine on 10.3/i386, 10.3/amd64, 11.0/i386, 11.0/amd64, 12.0/i386 and 12.0/amd64.
  • make test has passed all tests fine.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

security/py-acme

- Improve pkg-descr

security/py-certbot

- Update pkg-descr and pkg-message to cope with the renaming to "certbot"
  and fix the example certonly command.
koobs requested changes to this revision.EditedApr 26 2017, 2:46 AM

Thanks Carlos

Can you please update this differentials SUMMARY to include the full proposed commit log message (including the changes in your comment) and include appropriate PR: and Reported by: references that fixing the pkg-message (certbot command) resolves: Issue #218758

This revision now requires changes to proceed.Apr 26 2017, 2:46 AM

Thanks Carlos

Can you please update this differentials SUMMARY to include the full proposed commit log message (including the changes in your comment) and include appropriate PR: and Reported by: references that fixing the pkg-message (certbot command) resolves: Issue #218758

If I commit the pkg-message update first to be merged in the quarterly branch I should remove this change from the diff summary.

cpm edited edge metadata.
cpm edited the summary of this revision. (Show Details)

@Carlos Yep, happy for this reviews summary to describe all the changes, but committed separately. Use the same Differential Revision: D10317 for each commit

This revision is now accepted and ready to land.Apr 29 2017, 5:20 AM
This revision was automatically updated to reflect the committed changes.